<?php
require_once($_SERVER['DOCUMENT_ROOT'].'/config.php');
require_once($_SERVER['DOCUMENT_ROOT'].'/includes/formulas.php');


$link = mysqli_connect(DBASE_HOST,DBASE_USER,DBASE_PASS,DBASE_NAME);
if (! $link) {
	die('Connect Error (' . mysqli_connect_errno() . ') ' . mysqli_connect_error());
}
if (! mysqli_set_charset($link, "utf8" )) {
	echo "error";
	return 1;
}

$result = mysqli_query($link, "SELECT * FROM inventory_hops ORDER BY origin,name");
$row = mysqli_fetch_array($result);


$hoptype = array( 'Bittering', 'Aroma', 'Both' );
$hopform = array( 'Pellet', 'Plug', 'Leaf', 'Leaf', 'Leaf' );



/*
 * Create beerxml output
 */
$xw = xmlwriter_open_memory();
xmlwriter_set_indent($xw, 1);
$res = xmlwriter_set_indent_string($xw, ' ');

xmlwriter_start_document($xw, '1.0', 'UTF-8');


xmlwriter_start_element($xw, 'HOPS');
while ($row = mysqli_fetch_array($result)) {

	xmlwriter_start_element($xw, 'HOP');

	xmlwriter_start_element($xw, 'VERSION');
	xmlwriter_text($xw, '1');
	xmlwriter_end_element($xw);

	xmlwriter_start_element($xw, 'NAME');
	xmlwriter_text($xw, $row['name']);
	xmlwriter_end_element($xw);

	if (strlen($row['notes'])) {
        	xmlwriter_start_element($xw, 'NOTES');
        	xmlwriter_text($xw, $row['notes']);
        	xmlwriter_end_element($xw);
	}

	xmlwriter_start_element($xw, 'ALWAYS_ON_STOCK');
        ($row['always_on_stock']) ? xmlwriter_text($xw, 'TRUE') : xmlwriter_text($xw, 'FALSE');
        xmlwriter_end_element($xw);

        xmlwriter_start_element($xw, 'ALPHA');
        xmlwriter_text($xw, sprintf("%.4f",floatval($row['alpha'])));
        xmlwriter_end_element($xw);

        xmlwriter_start_element($xw, 'BETA');
        xmlwriter_text($xw, sprintf("%.4f",floatval($row['beta'])));
        xmlwriter_end_element($xw);

        xmlwriter_start_element($xw, 'HUMULENE');
        xmlwriter_text($xw, sprintf("%.4f",floatval($row['humulene'])));
        xmlwriter_end_element($xw);

        xmlwriter_start_element($xw, 'CAROPHYLLENE');
        xmlwriter_text($xw, sprintf("%.4f",floatval($row['caryophyllene'])));
        xmlwriter_end_element($xw);

        xmlwriter_start_element($xw, 'COHUMULONE');
        xmlwriter_text($xw, sprintf("%.4f",floatval($row['cohumulone'])));
        xmlwriter_end_element($xw);

        xmlwriter_start_element($xw, 'MYRCENE');
        xmlwriter_text($xw, sprintf("%.4f",floatval($row['myrcene'])));
        xmlwriter_end_element($xw);

        xmlwriter_start_element($xw, 'TOTAL_OIL');
        xmlwriter_text($xw, sprintf("%.4f",floatval($row['total_oil'])));
        xmlwriter_end_element($xw);

        xmlwriter_start_element($xw, 'HSI');
        xmlwriter_text($xw, sprintf("%.4f",floatval($row['hsi'])));
        xmlwriter_end_element($xw);

        xmlwriter_start_element($xw, 'TYPE');
        xmlwriter_text($xw, $hoptype[$row['type']]);
        xmlwriter_end_element($xw);

        xmlwriter_start_element($xw, 'FORM');
        xmlwriter_text($xw, $hopform[$row['form']]);
        xmlwriter_end_element($xw);

        xmlwriter_start_element($xw, 'ORIGIN');
        xmlwriter_text($xw, $row['origin']);
        xmlwriter_end_element($xw);

	if (strlen($row['substitutes'])) {
        	xmlwriter_start_element($xw, 'SUBSTITUTES');
        	xmlwriter_text($xw, $row['substitutes']);
        	xmlwriter_end_element($xw);
	}

	if (floatval($row['cost']) > 0) {
        	xmlwriter_start_element($xw, 'COST');
        	xmlwriter_text($xw, sprintf("%.4f",floatval($row['cost'])));
        	xmlwriter_end_element($xw);
	}

	xmlwriter_end_element($xw);	// HOP
}
xmlwriter_end_element($xw);	// HOPS

$beerxml = xmlwriter_output_memory($xw);

Header('Content-type: text/xml');
header('Content-Disposition: attachment; filename="hops.xml"');
header('Content-Transfer-Encoding: binary');
header('Expires: 0');
header('Pragma: no-cache');
header('Content-Length: '.strlen($beerxml));
exit($beerxml);
